%define upstream_name    ExtUtils-PL2Bat
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Batch file creation to run perl scripts on Windows
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Batch file creation to run perl scripts on Windows

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog
* Fri Jul 17 2020 tv <tv> 0.3.0-1.mga8
+ Revision: 1606652
- update to 0.003

* Sat Feb 15 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1526809
- Mageia 8 Mass Rebuild

* Sun Jun 30 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1416423
- update to 0.002

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1283649
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.1.0-1.mga7
+ Revision: 1222239
- imported package perl-ExtUtils-PL2Bat

